︠389238fb-355f-4e39-92e3-6e01e5cfb5edis︠
%md
[Pint](http://pint.readthedocs.org/en/0.6/tutorial.html) is now in SageMathCloud!
︡07ad3b92-16d3-41d3-baf3-ce79e0c10919︡{"md":"[Pint](http://pint.readthedocs.org/en/0.6/tutorial.html) is now in SageMathCloud!\n"}︡
︠680d96e0-f727-4145-924a-9194277b4596s︠
from pint import UnitRegistry
ureg = UnitRegistry()
︡5dbad974-1df6-4721-a687-f546bd98d044︡
︠87ec8671-63f7-4bfa-bd63-5bd611c0f17bs︠
distance = 24.0 * ureg.meter
print(distance)
︡7e57577d-4c01-483d-98af-778b9e7e2bc6︡{"stdout":"24.0000000000000 meter\n"}︡
︠2fea4947-6a15-43c5-8b7f-e6ba8097753bs︠
time = 8.0 * ureg.second
print(time)
︡1808c8d7-1f31-4ece-988c-b6d3dd54c57d︡{"stdout":"8.00000000000000 second\n"}︡
︠1c4f0596-d574-4153-82b6-429039c5e0ffs︠
print(repr(time))
︡b6724de7-5f66-43b7-af67-8d20db84add7︡{"stdout":"<Quantity(8.00000000000000, 'second')>\n"}︡
︠ad43eca9-551d-4c2e-bd21-72601b0b3d7as︠
print(distance.magnitude)
︡932d701d-5024-476e-83d4-1a46f49bfa9a︡{"stdout":"24.0000000000000\n"}︡
︠353530f4-e073-4113-876d-6420306cf46fs︠
print(distance.units)
︡19725595-4991-4c22-9fa4-ab4712d383b5︡{"stdout":"meter\n"}︡
︠e3c82ff8-bb7f-4413-b75a-ddde171a925es︠
print(distance.dimensionality)
︡6503a1ce-9215-40fb-a7a3-6fe0bb15e255︡{"stdout":"[length]\n"}︡
︠92d735af-7544-4afe-a41e-71ea5652bf69s︠
speed = distance / time
print(speed)
︡e2732a77-7afa-45cc-b994-20d6e15b03a8︡{"stdout":"3.00000000000000 meter / second\n"}︡
︠32212403-c0cd-4f38-986c-3092f99418c5s︠
speed.to(ureg.inch / ureg.minute )
︡9d6a0c90-906c-4528-bead-e4767e0aa761︡{"stdout":"<Quantity(7086.61417322834, 'inch / minute')>\n"}︡
︠33ded1ee-1a60-40ee-b1a0-efc5f75c838ds︠
print(speed)
︡1fc2cf61-3463-42f7-b268-141f70836d8d︡{"stdout":"3.00000000000000 meter / second\n"}︡
︠c6fc4ee0-6a15-40eb-ba66-f1af8f2d3b2as︠
speed.ito(ureg.inch / ureg.minute )
print(speed)
︡6ed9ebaa-557b-48fb-9df1-f1287c686fa8︡{"stdout":"7086.61417322834 inch / minute\n"}︡
︠9a6a8910-c818-4e94-a249-0ed175fe1f8ds︠
# should fail!
speed.to(ureg.joule)
︡11f5c7e9-4886-49fa-ae8b-cc39ecfdaddd︡{"stderr":"Error in lines 2-2\nTraceback (most recent call last):\n  File \"/projects/4a5f0542-5873-4eed-a85c-a18c706e8bcd/.sagemathcloud/sage_server.py\", line 865, in execute\n    exec compile(block+'\\n', '', 'single') in namespace, locals\n  File \"\", line 1, in <module>\n  File \"/usr/local/sage/sage-6.4/local/lib/python2.7/site-packages/pint/quantity.py\", line 243, in to\n    magnitude = self._convert_magnitude_not_inplace(other, *contexts, **ctx_kwargs)\n  File \"/usr/local/sage/sage-6.4/local/lib/python2.7/site-packages/pint/quantity.py\", line 198, in _convert_magnitude_not_inplace\n    return self._REGISTRY.convert(self._magnitude, self._units, other)\n  File \"/usr/local/sage/sage-6.4/local/lib/python2.7/site-packages/pint/unit.py\", line 1041, in convert\n    raise DimensionalityError(src, dst, src_dim, dst_dim)\nDimensionalityError: Cannot convert from 'inch / minute' ([length] / [time]) to 'joule' ([length] ** 2 * [mass] / [time] ** 2)\n"}︡
︠29f5a3a6-5388-4839-bc02-d792e40ce1fc︠









